org.apache.felix.ipojo.online.manipulator

## Class BridgeClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.felix.ipojo.online.manipulator.BridgeClassLoader

    public class BridgeClassLoader
    extends ClassLoader

A classloader trying to load classes from a given jar files and then from bundles. This classloader must only be used for the iPOJO manipulator (in order to compute bytecode frames).

### Constructor Summary

Constructors
Constructor and Description
`BridgeClassLoader(File original, org.osgi.framework.BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<?>` `loadClass(String name)`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BridgeClassLoader

    public BridgeClassLoader(File original,
                             org.osgi.framework.BundleContext context)
                      throws MalformedURLException

Throws:
  `MalformedURLException`

### Method Detail

#### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

Overrides:
  `loadClass` in class `ClassLoader`
Throws:
  `ClassNotFoundException`